use crate::error::CustomError;

use super::registry::Registry;

/// Essentially a no-op since the comment is not rendered.
#[derive(Debug)]
pub(crate) struct IComment {}

impl IComment {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        comment: &organic::types::Comment<'parse>,
    ) -> Result<IComment, CustomError> {
        Ok(IComment {})
    }
}
